### Hierarchy

- KeyPairFactory

## Index

### Methods

- createDefaultKeyPair
- createRpcKeyPair

## Methods

### Static createDefaultKeyPair

- createDefaultKeyPair(permissionsSource: PermissionsSource, siteDataSource: SiteDataSource, origin: string): KeyPairHelper

- - Defined in utils/keypair/KeyPairFactory.ts:11

  #### Parameters

  - ##### permissionsSource: PermissionsSource

  - ##### siteDataSource: SiteDataSource

  - ##### origin: string

  #### Returns KeyPairHelper

### Static createRpcKeyPair

- createRpcKeyPair(rpcTransport: RpcTransport): RemoteKeyPairHelper

- - Defined in utils/keypair/KeyPairFactory.ts:19

  #### Parameters

  - ##### rpcTransport: RpcTransport

  #### Returns RemoteKeyPairHelper

Generated using TypeDoc